Subject: Bug in "guix system init"

From: Marek Benc <[email-masked]>
Date: Thu, 17 Jul 2014 19:06:14 +0200

The var/guix directory gets installed according to the configuration of
the host Guix, instead of the installed Guix (that is, /var).

This means that if someone (like me) configured the host Guix with
--prefix=/usr/local, the directory will be installed
into /usr/local/var/guix, which won't work, and will cause the installed
guix to see an empty /gnu/store.

This is dangerous because then, it will try to download glibc, and while
doing that, it will delete the existing one in /gnu/store, and kill the
operating system.

Workarounds:
1. Configure the host guix with --prefix=/
or
2. Once the system is initialized, move the var/guix folder (eg,
from /usr/local/var) to /var